# PetscGetTmp

Gets the name of the tmp directory

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscGetTmp(MPI_Comm comm,char *dir,size_t len)

Collective on MPI_Comm

### Input Parameters

| comm | - MPI_Communicator that may share /tmp
| len | - length of string to hold name

### Output Parameters

dir -directory name

### Options Database Keys

| -shared_tmp | - . -not_shared_tmp
| -tmp tmpdir | - Environmental Variables: + PETSC_SHARED_TMP

PETSC_NOT_SHARED_TMP -- PETSC_TMP

If the environmental variable PETSC_TMP is set it will use this directory as the "/tmp" directory.

Level:developer
Location: src/sys/fileio/fretrieve.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages